vendredi 18 mai 2012

Résoudre "Attention: la version 1 de SSH possibles autorisé" à partir de Plesk Watchdog

Cette astuce ne sera pas utile pour tout le monde, mais pour n'importe qui avec un serveur dédié, vous serez probablement familier avec ce message d'erreur qui est envoyé chaque semaine à partir du scanner de sécurité sur votre serveur.

L'e-mail d'erreur que je reçois de «chien de garde" une fois par semaine ressemble à ceci:

Scan de sécurité généré les avertissements suivants (le journal de balayage complet
est disponible dans / var / log / rkhunter.log):

[01:01:51] Avis de sécurité --------- ---------
[01:01:52] Avertissement: la version 1 de SSH possible permis!

Pour résoudre ce problème, nous aurons besoin d'éditer le fichier sshd_config, qui est le principal fichier de configuration pour le service sshd. L'emplacement sera parfois différent, mais c'est généralement dans / etc / ssh /. Ouvrez le fichier jusqu'à en étant connecté en tant que root.

Note: Attention, si vous visser cette place vous ne serez pas en mesure de ssh sur votre serveur plus ...

vi / etc / ssh / sshd_config

Trouvez cette section dans le fichier, contenant la ligne avec «Protocole» en elle. Voici où le problème est ... nous avons besoin d'indiquer explicitement au service sshd à n'utiliser la version 2.

# Port 22
# Protocole 2,1
# ListenAddress 0.0.0.0
# ListenAddress::

Si la ligne est commentée ou a la fois 2,1 en elle, vous aurez besoin pour la faire ressembler à ceci (laissez les autres lignes seulement)

Protocole n ° 2

Maintenant, vous aurez besoin de redémarrer le service sshd:

/ Etc / init.d / sshd restart

Vous ne devriez pas obtenir ces e-mails d'erreur plus.

Aucun commentaire:

Enregistrer un commentaire